# setEnvironmentVariables

abstract fun setEnvironmentVariables(@Nullable envVariables: @Nullable Map<String, String>): LongRunningOperation

Specifies the environment variables to use for this operation.

org.gradle.tooling.model.build.BuildEnvironment model contains information such as Java or Gradle environment. If you want to get hold of this information you can ask tooling API to build this model.

If not configured or null is passed, then the reasonable default will be used.

#### Return

this

#### Since

3.5

#### Parameters

envVariables

environment variables